package bean.query;

import java.math.BigDecimal;
import java.util.Date;

public class DistintaBancaBean {

	private Integer GiorniScadenza;
	private Integer id;
	private Integer iddistintaBanca;
	private Integer iddistintaFlussoInput;
	private Integer insertReference;
	private String codiceSocietà;
	private Date dataCreazione;
	private boolean provenienzaR2;
	private Date dataEmissioneFlusso;
	private String tipologia;
	private String tipologiaDbgrid;
	private String userIdcreazione;
	private String userIddelegatoFirma;
	private String denominazioneDelegatoFirma;
	private String codiceAbiOrdinante;
	private String cabOrdinante;
	private String contoOrdinante;
	private String divisaContoOrdinante;
	private String coordinateIbanordinante;
	private String codiceBicordinante;
	private String descrizioneConto;
	private Date dataValutaDestinatario;
	private Integer numeroDisposizioni;
	private String importoDisposizioni;
	private BigDecimal importoDisposizioniDecimal;
	private String divisaImporto;
	private String divisa;
	private String statoDistinta;
	private String statoValidazione;
	private boolean flagStampa;
	private boolean flagBir;
	private String trasferimentoPosizioneRid;
	private byte[] lastSaved;
	private boolean contoPerCassa;
	private boolean flagGrandine;
	private boolean flagNas;
	private boolean flagDanni;
	private String pathFlussoPerFirmaDigitale;
	private String nomeSupportoFlussoPerFirmaDigitale;
	private String serialNumberCertificatoFd;
	private String hashCodeCertificatoFd;
	private boolean flagChiusuraPartitaSep;
	private Date dataChiusuraPartitaSep;
	private String numDisposizioniPagatePartitaSep;
	private String impDisposizioniPagatePartitaSep;
	private String numDisposizioniInsolutePartitaSep;
	private String impDisposizioniiInsolutePartitaSep;
	private Integer tpflusso;
	private String prefissoFlusso;
	private int requiresFirmatario;
	private String tipoSequenzaRid;
	private String userIdfirmatario1;
	private String userIdfirmatario2;
	private String msgId;
	private String nomeSupportoCBI;
	
	
	public Integer getGiorniScadenza() {
		return GiorniScadenza;
	}
	public void setGiorniScadenza(Integer giorniScadenza) {
		GiorniScadenza = giorniScadenza;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getIddistintaBanca() {
		return iddistintaBanca;
	}
	public void setIddistintaBanca(Integer iddistintaBanca) {
		this.iddistintaBanca = iddistintaBanca;
	}
	public Integer getIddistintaFlussoInput() {
		return iddistintaFlussoInput;
	}
	public void setIddistintaFlussoInput(Integer iddistintaFlussoInput) {
		this.iddistintaFlussoInput = iddistintaFlussoInput;
	}
	public Integer getInsertReference() {
		return insertReference;
	}
	public void setInsertReference(Integer insertReference) {
		this.insertReference = insertReference;
	}
	public String getCodiceSocietà() {
		return codiceSocietà;
	}
	public void setCodiceSocietà(String codiceSocietà) {
		this.codiceSocietà = codiceSocietà;
	}
	public Date getDataCreazione() {
		return dataCreazione;
	}
	public void setDataCreazione(Date dataCreazione) {
		this.dataCreazione = dataCreazione;
	}
	public boolean isProvenienzaR2() {
		return provenienzaR2;
	}
	public void setProvenienzaR2(boolean provenienzaR2) {
		this.provenienzaR2 = provenienzaR2;
	}
	public Date getDataEmissioneFlusso() {
		return dataEmissioneFlusso;
	}
	public void setDataEmissioneFlusso(Date dataEmissioneFlusso) {
		this.dataEmissioneFlusso = dataEmissioneFlusso;
	}
	public String getTipologia() {
		return tipologia;
	}
	public void setTipologia(String tipologia) {
		this.tipologia = tipologia;
	}
	public String getTipologiaDbgrid() {
		return tipologiaDbgrid;
	}
	public void setTipologiaDbgrid(String tipologiaDbgrid) {
		this.tipologiaDbgrid = tipologiaDbgrid;
	}
	public String getUserIdcreazione() {
		return userIdcreazione;
	}
	public void setUserIdcreazione(String userIdcreazione) {
		this.userIdcreazione = userIdcreazione;
	}
	public String getUserIddelegatoFirma() {
		return userIddelegatoFirma;
	}
	public void setUserIddelegatoFirma(String userIddelegatoFirma) {
		this.userIddelegatoFirma = userIddelegatoFirma;
	}
	public String getDenominazioneDelegatoFirma() {
		return denominazioneDelegatoFirma;
	}
	public void setDenominazioneDelegatoFirma(String denominazioneDelegatoFirma) {
		this.denominazioneDelegatoFirma = denominazioneDelegatoFirma;
	}
	public String getCodiceAbiOrdinante() {
		return codiceAbiOrdinante;
	}
	public void setCodiceAbiOrdinante(String codiceAbiOrdinante) {
		this.codiceAbiOrdinante = codiceAbiOrdinante;
	}
	public String getCabOrdinante() {
		return cabOrdinante;
	}
	public void setCabOrdinante(String cabOrdinante) {
		this.cabOrdinante = cabOrdinante;
	}
	public String getContoOrdinante() {
		return contoOrdinante;
	}
	public void setContoOrdinante(String contoOrdinante) {
		this.contoOrdinante = contoOrdinante;
	}
	public String getDivisaContoOrdinante() {
		return divisaContoOrdinante;
	}
	public void setDivisaContoOrdinante(String divisaContoOrdinante) {
		this.divisaContoOrdinante = divisaContoOrdinante;
	}
	public String getCoordinateIbanordinante() {
		return coordinateIbanordinante;
	}
	public void setCoordinateIbanordinante(String coordinateIbanordinante) {
		this.coordinateIbanordinante = coordinateIbanordinante;
	}
	public String getCodiceBicordinante() {
		return codiceBicordinante;
	}
	public void setCodiceBicordinante(String codiceBicordinante) {
		this.codiceBicordinante = codiceBicordinante;
	}
	public String getDescrizioneConto() {
		return descrizioneConto;
	}
	public void setDescrizioneConto(String descrizioneConto) {
		this.descrizioneConto = descrizioneConto;
	}
	public Date getDataValutaDestinatario() {
		return dataValutaDestinatario;
	}
	public void setDataValutaDestinatario(Date dataValutaDestinatario) {
		this.dataValutaDestinatario = dataValutaDestinatario;
	}
	public Integer getNumeroDisposizioni() {
		return numeroDisposizioni;
	}
	public void setNumeroDisposizioni(Integer numeroDisposizioni) {
		this.numeroDisposizioni = numeroDisposizioni;
	}
	public String getImportoDisposizioni() {
		return importoDisposizioni;
	}
	public void setImportoDisposizioni(String importoDisposizioni) {
		this.importoDisposizioni = importoDisposizioni;
	}
	public BigDecimal getImportoDisposizioniDecimal() {
		return importoDisposizioniDecimal;
	}
	public void setImportoDisposizioniDecimal(BigDecimal importoDisposizioniDecimal) {
		this.importoDisposizioniDecimal = importoDisposizioniDecimal;
	}
	public String getDivisaImporto() {
		return divisaImporto;
	}
	public void setDivisaImporto(String divisaImporto) {
		this.divisaImporto = divisaImporto;
	}
	public String getDivisa() {
		return divisa;
	}
	public void setDivisa(String divisa) {
		this.divisa = divisa;
	}
	public String getStatoDistinta() {
		return statoDistinta;
	}
	public void setStatoDistinta(String statoDistinta) {
		this.statoDistinta = statoDistinta;
	}
	public String getStatoValidazione() {
		return statoValidazione;
	}
	public void setStatoValidazione(String statoValidazione) {
		this.statoValidazione = statoValidazione;
	}
	public boolean isFlagStampa() {
		return flagStampa;
	}
	public void setFlagStampa(boolean flagStampa) {
		this.flagStampa = flagStampa;
	}
	public boolean isFlagBir() {
		return flagBir;
	}
	public void setFlagBir(boolean flagBir) {
		this.flagBir = flagBir;
	}
	public String getTrasferimentoPosizioneRid() {
		return trasferimentoPosizioneRid;
	}
	public void setTrasferimentoPosizioneRid(String trasferimentoPosizioneRid) {
		this.trasferimentoPosizioneRid = trasferimentoPosizioneRid;
	}
	public byte[] getLastSaved() {
		return lastSaved;
	}
	public void setLastSaved(byte[] lastSaved) {
		this.lastSaved = lastSaved;
	}
	public boolean isContoPerCassa() {
		return contoPerCassa;
	}
	public void setContoPerCassa(boolean contoPerCassa) {
		this.contoPerCassa = contoPerCassa;
	}
	public boolean isFlagGrandine() {
		return flagGrandine;
	}
	public void setFlagGrandine(boolean flagGrandine) {
		this.flagGrandine = flagGrandine;
	}
	public boolean isFlagNas() {
		return flagNas;
	}
	public void setFlagNas(boolean flagNas) {
		this.flagNas = flagNas;
	}
	public boolean isFlagDanni() {
		return flagDanni;
	}
	public void setFlagDanni(boolean flagDanni) {
		this.flagDanni = flagDanni;
	}
	public String getPathFlussoPerFirmaDigitale() {
		return pathFlussoPerFirmaDigitale;
	}
	public void setPathFlussoPerFirmaDigitale(String pathFlussoPerFirmaDigitale) {
		this.pathFlussoPerFirmaDigitale = pathFlussoPerFirmaDigitale;
	}
	public String getNomeSupportoFlussoPerFirmaDigitale() {
		return nomeSupportoFlussoPerFirmaDigitale;
	}
	public void setNomeSupportoFlussoPerFirmaDigitale(String nomeSupportoFlussoPerFirmaDigitale) {
		this.nomeSupportoFlussoPerFirmaDigitale = nomeSupportoFlussoPerFirmaDigitale;
	}
	public String getSerialNumberCertificatoFd() {
		return serialNumberCertificatoFd;
	}
	public void setSerialNumberCertificatoFd(String serialNumberCertificatoFd) {
		this.serialNumberCertificatoFd = serialNumberCertificatoFd;
	}
	public String getHashCodeCertificatoFd() {
		return hashCodeCertificatoFd;
	}
	public void setHashCodeCertificatoFd(String hashCodeCertificatoFd) {
		this.hashCodeCertificatoFd = hashCodeCertificatoFd;
	}
	public boolean isFlagChiusuraPartitaSep() {
		return flagChiusuraPartitaSep;
	}
	public void setFlagChiusuraPartitaSep(boolean flagChiusuraPartitaSep) {
		this.flagChiusuraPartitaSep = flagChiusuraPartitaSep;
	}
	public Date getDataChiusuraPartitaSep() {
		return dataChiusuraPartitaSep;
	}
	public void setDataChiusuraPartitaSep(Date dataChiusuraPartitaSep) {
		this.dataChiusuraPartitaSep = dataChiusuraPartitaSep;
	}
	public String getNumDisposizioniPagatePartitaSep() {
		return numDisposizioniPagatePartitaSep;
	}
	public void setNumDisposizioniPagatePartitaSep(String numDisposizioniPagatePartitaSep) {
		this.numDisposizioniPagatePartitaSep = numDisposizioniPagatePartitaSep;
	}
	public String getImpDisposizioniPagatePartitaSep() {
		return impDisposizioniPagatePartitaSep;
	}
	public void setImpDisposizioniPagatePartitaSep(String impDisposizioniPagatePartitaSep) {
		this.impDisposizioniPagatePartitaSep = impDisposizioniPagatePartitaSep;
	}
	public String getNumDisposizioniInsolutePartitaSep() {
		return numDisposizioniInsolutePartitaSep;
	}
	public void setNumDisposizioniInsolutePartitaSep(String numDisposizioniInsolutePartitaSep) {
		this.numDisposizioniInsolutePartitaSep = numDisposizioniInsolutePartitaSep;
	}
	public String getImpDisposizioniiInsolutePartitaSep() {
		return impDisposizioniiInsolutePartitaSep;
	}
	public void setImpDisposizioniiInsolutePartitaSep(String impDisposizioniiInsolutePartitaSep) {
		this.impDisposizioniiInsolutePartitaSep = impDisposizioniiInsolutePartitaSep;
	}
	public Integer getTpflusso() {
		return tpflusso;
	}
	public void setTpflusso(Integer tpflusso) {
		this.tpflusso = tpflusso;
	}
	public String getPrefissoFlusso() {
		return prefissoFlusso;
	}
	public void setPrefissoFlusso(String prefissoFlusso) {
		this.prefissoFlusso = prefissoFlusso;
	}
	public int getRequiresFirmatario() {
		return requiresFirmatario;
	}
	public void setRequiresFirmatario(int requiresFirmatario) {
		this.requiresFirmatario = requiresFirmatario;
	}
	public String getTipoSequenzaRid() {
		return tipoSequenzaRid;
	}
	public void setTipoSequenzaRid(String tipoSequenzaRid) {
		this.tipoSequenzaRid = tipoSequenzaRid;
	}
	public String getUserIdfirmatario1() {
		return userIdfirmatario1;
	}
	public void setUserIdfirmatario1(String userIdfirmatario1) {
		this.userIdfirmatario1 = userIdfirmatario1;
	}
	public String getUserIdfirmatario2() {
		return userIdfirmatario2;
	}
	public void setUserIdfirmatario2(String userIdfirmatario2) {
		this.userIdfirmatario2 = userIdfirmatario2;
	}
	public String getMsgId() {
		return msgId;
	}
	public void setMsgId(String msgId) {
		this.msgId = msgId;
	}
	public String getNomeSupportoCBI() {
		return nomeSupportoCBI;
	}
	public void setNomeSupportoCBI(String nomeSupportoCBI) {
		this.nomeSupportoCBI = nomeSupportoCBI;
	}
	
}
